#pragma once

#include <opencv2/core.hpp>
#include <opencv2/core/mat.hpp>
//#include <opencv2/imgcodecs.hpp>
#include <opencv2/imgproc/imgproc.hpp>
#include <opencv2/highgui.hpp>
#include <iostream>


class SegmentationHandler
{
public:
	void regionBased(cv::Mat& src);
	void watersched();
	void clustering();

	void semantic();
	void instanse();
};

